Package org.apache.sling.repoinit.parser.operations

# Class DeleteUser

java.lang.Object
org.apache.sling.repoinit.parser.operations.Operation
org.apache.sling.repoinit.parser.operations.DeleteUser

@ProviderType public class DeleteUser extends Operation

## Field Summary

### Fields inherited from class org.apache.sling.repoinit.parser.operations.Operation

`DQUOTE`

## Constructor Summary

Constructors
Constructor
Description
`DeleteUser(String username)`
Operation that deletes a user.

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(OperationVisitor v)`
`@NotNull String`
`asRepoInitString()`
Converts this operation instance to a RepoInit string representation including the current operation parameters.
`protected String`
`getParametersDescription()`
`String`
`getUsername()`

### Methods inherited from class org.apache.sling.repoinit.parser.operations.Operation

`cleanupQuotedString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DeleteUser

public DeleteUser(String username)
Operation that deletes a user.

Parameters:
  `username` - the name of the user to delete

## Method Details

### accept

public void accept(OperationVisitor v)

Specified by:
  `accept` in class `Operation`

### getParametersDescription

protected String getParametersDescription()

Specified by:
  `getParametersDescription` in class `Operation`

### asRepoInitString

@NotNull public @NotNull String asRepoInitString()
Description copied from class: `Operation`
Converts this operation instance to a RepoInit string representation including the current operation parameters. The representation must be parsable back into an equivalent operation and must end with a OS-compatible line separator.

Specified by:
  `asRepoInitString` in class `Operation`
Returns:
  the repoinit string for the operation

### getUsername

public String getUsername()